summaryrefslogtreecommitdiffstats
path: root/source/l/libssh/libssh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libssh/libssh.SlackBuild')
-rwxr-xr-xsource/l/libssh/libssh.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/l/libssh/libssh.SlackBuild b/source/l/libssh/libssh.SlackBuild
index cc60f00a4..38a732727 100755
--- a/source/l/libssh/libssh.SlackBuild
+++ b/source/l/libssh/libssh.SlackBuild
@@ -23,7 +23,7 @@
PKGNAM=libssh
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -65,9 +65,12 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION || exit 1
+# These fail to build and are not packaged anyway:
+zcat $CWD/libssh.no.example.build.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \